%define cinever_m 0.22
%define cinever %{cinever_m}-1

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           cinepaint
Version:        %(echo %{cinever} |sed 's|-|.|')
Release:        5%{?dist}
Summary:        CinePaint is a tool for manipulating images

Group:          Applications/Multimedia
License:        GPLv2+ and LGPLv2+ and MIT
URL:            http://www.cinepaint.org/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{cinever}.tar.gz
Patch0:         cinepaint-0.22-0-icc_helfer_fltk.patch
Patch1:         cinepaint-0.22-0-nonweak-symbol.patch
Patch2:         cinepaint-0.22-0-rm_rpath.patch
Patch3:         cinepaint-0.22-0-pc_req.patch
Patch4:         cinepaint-0.22-0-libdir.patch
Patch5:         cinepaint-0.22-md5_rm_RSA.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%ifnarch %{ix86} ppc
BuildRequires:  autoconf
%endif
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:  flex
BuildRequires:  fltk-devel
BuildRequires:  ftgl-devel 
BuildRequires:  gettext
BuildRequires:  gtk2-devel >= 2.10.8
BuildRequires:  gutenprint-devel >= 5.0.0
BuildRequires:  python-devel
BuildRequires:  lcms-devel >= 1.16
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  OpenEXR-devel >= 1.6.0
#BuildRequires:  oyranos-devel

Requires:       freefont
Requires:       pygtk2
#Requires:       oyranos
Requires:       %{name}-libs = %{version}-%{release}

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package libs
Summary:        Libraries for %{name}
Group:          System Environment/Libraries

%description libs
CinePaint is used for motion picture frame-by-frame retouching, dirt removal,
wire rig removal, render repair, background plates, and 3d model textures.
It's been used on many feature films, including The Last Samurai where it was
used to add flying arrows. It's also being used by pro photographers who need
greater color fidelity than is available in other tools.

%package devel
Summary:        Development package for %{name}
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       automake
Requires:       pkgconfig
Requires:       gtk2-devel

%description devel
This package contains development files for %{name}.

%prep
%setup -q -n cinepaint-%{cinever}
%patch0 -p1 -b .compile
%patch1 -p1 -b .symbol
%patch2 -p1 -b .rm_rpath
%patch3 -p1 -b .req
%patch4 -p1 -b .libdir
%patch5 -p1 -b .rm_RSA

%ifnarch %{ix86} ppc
autoconf
%endif

for i in AUTHORS COPYING LICENSE README ;do
  install -p -m 0644 libhalf/$i $i.libhalf
done
sed -i 's|\r||'  NEWS COPYING


# make compile log more verbose
sed -i.debug -e '/SILENT/s|^.*$|:|' plug-ins/icc_examin/icc_examin/configure.sh
# remove rpath
sed -i.rpath -e '/rpath/d' plug-ins/icc_examin/icc_examin/configure

# prevent interp_md5 to be used
rm plug-ins/script-fu/interp_md5.{h,c}


%build
%configure \
  --disable-static \
  --enable-gtk2 \
  --enable-pygimp \
  --with-pixmap=%{_datadir}/pixmaps \
  --with-python=%{_bindir}/python

# remove rpath from libtool
sed -i.rpath 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i.rpath 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -c -p"
find $RPM_BUILD_ROOT -name '*.la' | xargs rm -f

chmod 755 $RPM_BUILD_ROOT%{_libdir}/cinepaint/%{cinever}/plug-ins/gtkcons.py


desktop-file-install --vendor="fedora"               \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications    \
  --delete-original                                  \
  --remove-category Application                      \
  --mode 644                                         \
${RPM_BUILD_ROOT}%{_datadir}/applications/cinepaint.desktop


%find_lang %{name}
%find_lang cinepaint-script-fu
%find_lang cinepaint-std-plugins
%find_lang icc_examin_cp
cat cinepaint-script-fu.lang | grep lang >> %{name}.lang
cat cinepaint-std-plugins.lang | grep lang >> %{name}.lang
cat icc_examin_cp.lang | grep lang >> %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post libs -p /sbin/ldconfig

%post 
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :

%postun libs -p /sbin/ldconfig

%postun
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%exclude %{_bindir}/cinepainttool
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/
%exclude %{_datadir}/fonts/FreeSans.ttf

%{python_sitelib}/* 
%ifarch x86_64 ppc64
%{python_sitearch}/*
%endif

%files libs
%doc *.libhalf
%defattr(-, root, root,-)
%{_libdir}/%{name}/
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root,-)
%{_bindir}/cinepainttool
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}-gtk.pc
%{_includedir}/%{name}/
%{_datadir}/aclocal/%{name}.m4


%changelog
* Mon Oct 15 2007 kwizart < kwizart at gmail.com > - 0.22.1-5
- Rebuild to new OpenEXR

* Tue Oct  2 2007 kwizart < kwizart at gmail.com > - 0.22.1-4
- Patch plug-ins/script-fu/interp_md5.* (remove RSA)
- Add Requires pygtk2

* Sat Aug 18 2007 kwizart < kwizart at gmail.com > - 0.22.1-3
- Fix unused-direct-shlib-dependencies
- Multilibs compliant
- Update License field
* Mon Jul 16 2007 kwizart < kwizart at gmail.com > - 0.22.1-2
- Add BR ftgl-devel

* Tue Jun 19 2007 kwizart < kwizart at gmail.com > - 0.22.1-1
- Update to 0.22-1
- Moved cinepainttool in -devel

* Mon Jun 18 2007 kwizart < kwizart at gmail.com > - 0.22.0-6
- Add patch to remove rpath
- Uses autoconf on everything exept i386 ppc (libdir)

* Sun Jun 10 2007 kwizart < kwizart at gmail.com > - 0.22.0-5
- Removed remaining rpaths with chrpath
  (this will allow icc_examin to build)

* Mon May 14 2007 kwizart < kwizart at gmail.com > - 0.22.0-4
- Add post & postun for update-desktop-database
- Add patch to prevent ld skipping incompatible on lib64
- Rebuild with new fltk prevent some rpath problems
- Pre test oyranos-devel ftgl-devel

* Sat May 12 2007 kwizart < kwizart at gmail.com > - 0.22.0-3.1
- Add python_sitearch (needed on x86_64)
- Add Requires freefont (FreeSans.ttf needed for icc_examin)
- Remove rpath (libtool method)
- Add BR oyranos-devel

* Fri May 11 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.22.0-3
- Don't use rpath
- Don't call autoconf
- Add missing / Remove unnecessary BuildRequires/Requires
- Fix file entry (especially for directory ownership issue)
- Fix desktop file
- Resolve undefined non-weak symbol

* Thu May 10 2007 kwizart < kwizart at gmail.com > - 0.22.0-2
- Add autoconf 
- Add libXpm-devel
- Add ftgl-devel (optional - wip)
- Add xorg-x11-proto-devel (icc_examin)

* Wed Apr 11 2007 kwizart < kwizart at gmail.com > - 0.22.0-1
- Update to 0.22-0
- Add --enable-gtk2
- Enable python

* Mon Jan 29 2007 kwizart < kwizart at gmail.com > - 0.21.2-1
- Initial release for Fedora Extras

* Mon May 29 2006 Kai-Uwe Behrmann
- move desktop entries to normal installation

* Mon Mar 26 2006 Kai-Uwe Behrmann
- add locale info

* Fri Apr 11 2003 Robin Rowe
- filmgimp to cinepaint rename
- rename gimp files

* Tue Dec 03 2002 Sam Richards
- Changed include directory path.

* Wed Nov 06 2002 Rene Rask
- release 0.6-2
- Rpms can now be built from source by running "make rpm"
- Updated splash and logo images.

* Mon Nov 04 2002 Rene Rask
- release 0.6.

* Wed Oct 30 2002 Rene Rask
- Initial RPM release.

